/*
 * $Id: PojoTypeTemplateFilter.java 3807 2006-11-06 13:13:36Z holger $
 * --------------------------------------------------------------------------------------
 * Copyright (c) MuleSource, Inc.  All rights reserved.  http://www.mulesource.com
 *
 * The software in this package is published under the terms of the MuleSource MPL
 * license, a copy of which has been included with this distribution in the
 * LICENSE.txt file.
 */

package org.mule.providers.gs.filters;

import java.lang.reflect.InvocationTargetException;

import net.jini.core.entry.Entry;

import org.mule.providers.gs.JiniMessage;
import org.mule.umo.UMOMessage;

/**
 * TODO document
 */
public class PojoTypeTemplateFilter implements JavaSpaceFilter
{
    private String expectedType;

    public Entry getEntry()
        throws IllegalAccessException, NoSuchMethodException, InvocationTargetException,
        InstantiationException, ClassNotFoundException
    {
        if (expectedType == null)
        {
            return null;
        }

        JiniMessage entry = new JiniMessage();
        entry.setPayloadType(expectedType);
        return entry;
    }

    /**
     * Check a given message against this filter.
     * 
     * @param message a non null message to filter.
     * @return <code>true</code> if the message matches the filter
     */
    public boolean accept(UMOMessage message)
    {
        return true;
    }

    public String getExpectedType()
    {
        return expectedType;
    }

    public void setExpectedType(String expectedType)
    {
        this.expectedType = expectedType;
    }

}
